---
title: "Zinnia New Business Annuity API"
url: "https://developers.zinnia.com/apis/new-business-annuity/versions/45a989ab-c3aa-4f85-8f67-f05c41747ed7"
---

# Zinnia New Business Annuity API

OpenAPI specification document.

```json
{"openapi":"3.1.0","info":{"title":"Zinnia New Business Annuity API","description":"New Business — Annuity API surface exposed through Kong. This specification\ndocuments public health check endpoints for application validation, application\nprocessing, payment processing, TOA, eApp, and suitability services.\n\n**Version History**\n* Draft version 0.7.0<br>\n  - Added V3 Annuity application submission endpoint (`/v3/new-business/annuity-applications`)<br>\n  - V3 replaces the flat \"role\" model with a richer `Party` model (owner, beneficiary, agent, etc.) and moves bank details from the party to the payment<br>\n* Draft version 0.6.0<br>\n  - added ETP endpoints Annuity V1, Annuity V2 and ETP health check <br>\n* Draft version 0.5.0<br>\n  - New endpoints — expose `/eapp/actuator/health` and `/suitability/actuator/health` publicly through Kong<br>\n* Draft version 0.4.0<br>\n  - New endpoint — expose `/toa/actuator/health` publicly through Kong<br>\n* Draft version 0.3.0<br>\n  - New endpoint — expose payment processing health check publicly through Kong<br>\n* Draft version 0.2.0<br>\n  - New endpoint — expose application processing health check publicly through Kong<br>\n* Draft version 0.1.0<br>\n  - New endpoint — expose application validation health check publicly through Kong<br>\n","version":"0.7.0","contact":{"name":"Zinnia New Business Annuity","email":"hitesh.parakh@zinnia.com"},"x-changelog":[{"date":"2026-08-07","change":"Added V3 Annuity application submission endpoint (/v3/new-business/annuity-applications), introducing a Party model (replacing role) and moving bank details from party to payment. V3 schemas colliding by name with V1/V2 suffixed with V3."},{"date":"2026-05-12","change":"added ETP endpoints Annuity V1, Annuity V2 and ETP health check"},{"date":"2026-05-06","change":"Expose `/eapp/actuator/health` and `/suitability/actuator/health` publicly through Kong for New Business — Annuity"},{"date":"2026-05-06","change":"Expose `/toa/actuator/health` publicly through Kong for New Business — Annuity"},{"date":"2026-05-06","change":"Expose payment processing health check publicly through Kong for New Business — Annuity"},{"date":"2026-05-06","change":"Expose application processing health check publicly through Kong for New Business — Annuity"},{"date":"2026-05-05","change":"Expose application validation health check publicly through Kong for New Business — Annuity"}]},"servers":[{"url":"https://qa.api.zinnia.io","description":"QA Environment"},{"url":"https://dev.api.zinnia.io","description":"DEV Environment"},{"url":"https://uat.api.zinnia.io","description":"UAT Environment"},{"url":"https://api.zinnia.io","description":"PROD Environment"}],"tags":[{"name":"Annuity Version 1","description":"EAPP API Version 1"},{"name":"Annuity Version 2","description":"EAPP API Version 2"},{"name":"New Business Annuity","description":"New Business Annuity Application Submission API Version 3"},{"name":"Annuity Health Check","description":"EAPP API Health Check and Annuity (Annuity app validation, app processing, payment processing, TOA, eApp, and suitability) services Health check"}],"paths":{"/appvalidation/actuator/health":{"get":{"summary":"Application Validation Health Check","tags":["Annuity Health Check"],"description":"Returns the health status of the application validation service","operationId":"getNewBusinessAnnuityAppValidationHealth","responses":{"200":{"description":"Application is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["UP","DOWN"],"example":"UP"}}}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"503":{"description":"Application is unhealthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["DOWN"],"example":"DOWN"}}}}}}},"security":[{"Auth0":[]}]}},"/appprocessing/actuator/health":{"get":{"summary":"Application Processing Health Check","tags":["Annuity Health Check"],"description":"Returns the health status of the application processing service","operationId":"getNewBusinessAnnuityAppProcessingHealth","responses":{"200":{"description":"Application is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["UP","DOWN"],"example":"UP"}}}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"503":{"description":"Application is unhealthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["DOWN"],"example":"DOWN"}}}}}}},"security":[{"Auth0":[]}]}},"/paymentprocessing/actuator/health":{"get":{"summary":"Payment Processing Health Check","tags":["Annuity Health Check"],"description":"Returns the health status of the payment processing service","operationId":"getNewBusinessAnnuityPaymentProcessingHealth","responses":{"200":{"description":"Application is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["UP","DOWN"],"example":"UP"}}}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"503":{"description":"Application is unhealthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["DOWN"],"example":"DOWN"}}}}}}},"security":[{"Auth0":[]}]}},"/toa/actuator/health":{"get":{"summary":"TOA Health Check","tags":["Annuity Health Check"],"description":"Returns the health status of the TOA service","operationId":"getNewBusinessAnnuityToaHealth","responses":{"200":{"description":"Application is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["UP","DOWN"],"example":"UP"}}}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"503":{"description":"Application is unhealthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["DOWN"],"example":"DOWN"}}}}}}},"security":[{"Auth0":[]}]}},"/eapp/actuator/health":{"get":{"summary":"EApp Health Check","tags":["Annuity Health Check"],"description":"Returns the health status of the eApp service","operationId":"getNewBusinessAnnuityEappHealth","responses":{"200":{"description":"Application is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["UP","DOWN"],"example":"UP"}}}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"503":{"description":"Application is unhealthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["DOWN"],"example":"DOWN"}}}}}}},"security":[{"Auth0":[]}]}},"/suitability/actuator/health":{"get":{"summary":"Suitability Health Check","tags":["Annuity Health Check"],"description":"Returns the health status of the suitability service","operationId":"getNewBusinessAnnuitySuitabilityHealth","responses":{"200":{"description":"Application is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["UP","DOWN"],"example":"UP"}}}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"503":{"description":"Application is unhealthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["DOWN"],"example":"DOWN"}}}}}}},"security":[{"Auth0":[]}]}},"/eApp/v1/applications/annuity":{"post":{"tags":["Annuity Version 1"],"summary":"Submit Annuity Application to Zinnia","description":"Submits an annuity eApp to Zinnia for new business processing.","operationId":"createAnnuityApplication","parameters":[{"name":"Authorization","required":true,"description":"This will be passed as Bearer plus \"token\" as generated by above token API.","in":"header","schema":{"type":"string"},"example":"Bearer eykjsfjfjasdasdad"}],"requestBody":{"description":"Details required to submit the eApp to Zinnia for Annuity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Applications"}}},"required":true},"responses":{"201":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationResponse"}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}}},"security":[{"Auth0":[]}]}},"/eApp/v1/applications/documents":{"post":{"tags":["Annuity Version 1"],"summary":"Submit Annuity Documents to Zinnia","description":"Submits documents associated with an annuity eApp to Zinnia.","operationId":"createAnnuityDocument","parameters":[{"name":"Authorization","required":true,"description":"This will be passed as Bearer plus \"token\" as generated by above token API.","in":"header","schema":{"type":"string"},"example":"Bearer eykjsfjfjasdasdad"}],"requestBody":{"description":"Details required to submit the eApp to Zinnia for Annuity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentInformation"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationResponse"}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}}},"security":[{"Auth0":[]}]}},"/eApp/v2/applications/annuity":{"post":{"tags":["Annuity Version 2"],"summary":"Submit Annuity Application to Zinnia","description":"Submits an annuity eApp to Zinnia for new business processing.","operationId":"createAnnuityApplication_v2","parameters":[{"name":"Authorization","required":true,"description":"This will be passed as Bearer plus \"token\" as generated by above token API.","in":"header","schema":{"type":"string"},"example":"Bearer eykjsfjfjasdasdad"}],"requestBody":{"description":"Details required to submit the eApp to Zinnia for Annuity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Application"}}},"required":true},"responses":{"201":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationResponse"}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}}},"security":[{"Auth0":[]}]}},"/eApp/v2/applications/documents":{"post":{"tags":["Annuity Version 2"],"summary":"Submit Annuity Documents to Zinnia","description":"Submits documents associated with an annuity eApp to Zinnia.","operationId":"createAnnuityDocument_V2","parameters":[{"name":"Authorization","required":true,"description":"This will be passed as Bearer plus \"token\" as generated by above token API.","in":"header","schema":{"type":"string"},"example":"Bearer eykjsfjfjasdasdad"}],"requestBody":{"description":"Details required to submit the eApp to Zinnia for Annuity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentInformation"}}},"required":true},"responses":{"201":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationResponse"}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponse"}}}}},"security":[{"Auth0":[]}]}},"/eapp/health":{"get":{"summary":"Annuity Health Check","tags":["Annuity Health Check"],"description":"Returns the health status of the application","operationId":"getHealth","responses":{"200":{"description":"Application is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["UP","DOWN"],"example":"UP"}}}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponse"}}}},"503":{"description":"Application is unhealthy","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["DOWN"],"example":"DOWN"}}}}}}},"security":[{"Auth0":[]}]}},"/new-business/v1/eapp":{"post":{"x-kong-plugin-request-transformer":{"config":{"replace":{"uri":"/appprocessing/v1/new-business/annuity-applications"}}},"tags":["New Business Annuity"],"summary":"Submit Annuity Application to Zinnia","description":"Submits an annuity new business case to Zinnia for processing.","operationId":"createAnnuityApplication_v3","parameters":[{"name":"Authorization","required":true,"description":"This will be passed as Bearer plus \"token\" as generated by above token API.","in":"header","schema":{"type":"string"},"example":"Bearer eykjsfjfjasdasdad"}],"requestBody":{"description":"Details required to submit the Annuity new business case to Zinnia","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CasePayload"},"example":{"caseId":"CA0123456789","correlationId":"0ca10708-4b53-464c-b745-355c8f6f0edb","application":{"key":"435232","appId":"XXXXEDJ041120240000000001","vendorAppId":"XXXXEDJ041120240000000001","versionNumber":"000","qlacIndicator":"YES","dateQualifiers":{"applicationDate":"2025-10-22","initialSubmitDate":"2025-10-22","applicationReceivedDate":"2023-12-19","clientAgreementDate":"2023-12-19","agentSubmitDate":"2023-12-19","ownerSignedDate":"2023-12-19","jointOwnerSignedDate":"2023-12-19","annuitantSignedDate":"2023-12-19","jointAnnuitantSignedDate":"2023-12-19","trusteeSignedDate":"2023-12-19","primaryAgentSignedDate":"2023-12-19","beneficiarySignedDate":"2023-12-19","spouseSignedDate":"2023-12-19"},"submissionType":"ELECTRONIC","customerOtherProductsAnswer":"YES","applicationSignedCounty":"Dade","submitterNsccId":"6407","submitterNsccName":"ADVISOR EXCEL","associatedFirmId":"1234","associatedFirmName":"LPL","vendorId":"1234","vendorName":"FIRELIGHT","carrierName":"USAA","firmExternalId":"Q01530","firmTaxId":"123456789","firmNPN":"294128","replacementIndicator":true,"qualificationType":"Q401K","custodial":"YES","commissionOption":"STD","brokerageIdentificationNumber":"12345","suitabilityAppIndicator":"YES","attachment":[{"signatureMethod":"SIGNATUREPAD","documentControlNumber":"14124235235","totalAttachmentCount":"2"}]},"illustrations":{"solicitationState":"AA","solicitationDate":"2025-10-22","quoteStartDate":"2025-10-22","quoteEndDate":"2025-10-22","quoteId":"525262"},"policy":{"policyNumber":"76488683213","planCode":"IU0101","productCusip":"43241124","productType":"ANNUITY","policyStatus":"PENDING","policyEffectiveDate":"2025-10-22","issueState":"TN","issueCountry":"US","initialPurchase":{"grossAmount":43546,"netAmount":22334,"payment":[{"paymentId":"1","referenceNumber":"13486821","netAmount":"43546.00","grossAmount":"22334.00","method":"CREDITCARD","withdrawalIndicator":"FULL","partialWithdrawType":"SPECIFIEDAMOUNTWITHDRAWAL","surrenderingDateInstruction":"UPONRECEIPT","frequency":"DAILY","paymentDate":"2025-05-27","draftDate":"2025-05-27","externalTransactionId":"A12345","externalArrangementId":"B45678","automaticPayment":true,"premType":"DIRECTROLLOVER","currentAlloc":"YES","waivePremium":"0","distributorId":"12344","party":["5f8f2f5c-6c3b-4e3b-8f2f-5c6c3b4e3b8f"],"taxInfo":{"currentContribAmount":22334,"priorContribAmount":22334,"taxYear":"2025","totalBasis":0,"pretefraBasis":0,"posttefraBasis":0,"post88Amount":22334},"policyHistory":{"previousPolicyNumber":"55852164","emailId":"abc@gmail.com","carrier":"New York Life","useExistingPolicyFunds":true,"amount":22334,"status":"ACTIVE","replacementCoverageAmount":22334,"issueDate":"2025-08-29","productType":"ANNUITY","productSubType":"DISABILITY","exchangeType":"EXTERNAL1035","taxId":"AAA-GG-SSSS","originalCostBasis":"1000","applyRateLock":"YES","priorEstTransValue":0,"priorCarrierProcessLocation":"ABC123DEF4","addressDetail":{"addressType":"MAILING","addressLine1":"123 Main St","addressLine2":"Apt 4B","addressLine3":"Near Apollo","city":"Topeka","state":"TN","zipCode":"66675","country":"US"},"qualificationType":"INDIVIDUALRETIREMENTACCOUNTREGULAR","mecIndicator":"NO","internalExcInd":"YES","exchangeDate":"2025-10-17"},"bankInformation":{"bankId":"456456465","nameOnAccount":"abc","accountStatus":"Active","accountNumber":"****2456","routingNumber":"789167934","accountType":"SAVINGS","ibaNumber":"123456789","abaNumber":"123456789","bankName":"XYZ Branch","address":{"addressType":"RESIDENCE","addressLine1":"123 Main St","addressLine2":"Apt 4B","addressLine3":"Near Apollo","city":"San Francisco","state":"AL","zipCode":"94105","zipCodeExt":"4465","country":"US"}}}]},"feature":[{"featureCode":"ABC0000000","featureName":"Auto Payment","featureStartDate":"2023-12-19","featureProcessDay":"FIRST","featureDuration":"30","featureDurationType":"DAYS","featureFrequency":"WEEKLY","featureValue":"22334.00","featureValueType":"AMOUNT","taxWithholdingIndicator":"YES","taxFilingStatus":"MARRIED","withholding":{"withAmount":22334,"withAmountDesc":"EXTRASTEP4C","withAmountType":"PERCENTAGE","withAuthority":"FEDERAL"},"fund":[{"srcFundCode":"ABC000","srcFundAllocAmt":50,"srcFundAllocPercent":50,"srcTargetFundCode":"ABC000","srcTargetFundAllocAmt":50,"srcTargetFundAllocPercent":50}],"payment":[{"amountType":"PERCENTAGE","amount":22334,"method":"CREDITCARD","grossNetInd":"NET","accountType":"CHECKING","abaNumber":"123456789","bankName":"ABC Bank","accountNumber":"1000000000","payeeContractEntRelationPtr":"124124"}],"payouts":{"payoutOption":"LIFEONLY","livesType":"Single","primarySurvivorAdjType":"string","primarySurvivorAdjPct":"100","jointSurvivorAdjType":"string","jointSurvivorAdjPct":"100","annuityFrequencyCode":"MONTHLY","certainPeriodQualifier":"ANNUAL","certainPeriod":"1","payoutStartDate":"2023-12-19","fixedPaymentAmount":"1000"}}],"fundDetails":[{"fundType":"FIXED","fundCode":"GDGE123","fundName":"Fixed Account","allocationType":"PERCENTAGE","allocationTypeValue":"238500.50"}]},"parties":[{"partyType":"INDIVIDUAL","personalInformation":{"firstName":"Aura","middleName":"Smith","lastName":"Monroe","fullName":"Edward Jones","prefix":"DR.","suffix":"Sr","dateOfBirth":"2000-02-02","gender":"FEMALE","birthSex":"FEMALE","birthState":"AL","birthCountry":"US","citizenCountry":"US"},"partyId":"3f2504e0-4f89-11d3-9a0c-0305e82c3301","partyCommunication":"EMAIL","eDelivery":"YES","partyRole":"INSURED","signatures":[{"date":"2026-07-01","city":"Sacramento","state":"CA"}],"partyPercentage":"50.00","contractEntRelationPtr":"124124","revocabilityCode":"IRREVOCABLE","benedistribOption":"EQUAL","decedentDob":"2023-12-19","trustDate":"2023-12-19","dod":"2023-12-19","authType":"ASSETALLOCATION","authMode":"PHONE","relationship":"FATHER","identifiers":[{"type":"SSN","value":"123456789"}],"address":{"preferredAddressId":"33f206dc-71f4-485f-ad85-5fd25b4fad5f","addresses":[{"addressId":"c6de7205-8f10-4e09-8321-a1f6159790e3","addressType":"RESIDENCE","addressLine1":"19 RED RIVER CT","addressLine2":"Apt 4B","city":"SACRAMENTO","state":"AL","zipCode":"95831","zipCodeExt":"4465","country":"US","foreignAddressInd":"YES"}]},"phoneNumber":{"preferredPhoneId":"07f1828e-1cd0-4333-a6c5-360beffce75a","phoneNumbers":[{"phoneId":"07f1828e-1cd0-4333-a6c5-360beffce75a","type":"MOBILE","countryCode":"1","areaCode":"234","dialNumber":"5678900","extension":"1234","bestTime":"Morning","timezone":"EST","zip":"10100","zipSuffix":"1010"}]},"email":{"preferredEmailId":"61dd39a5-0b9f-48a8-9a56-e4eca6186c05","emails":[{"id":"61dd39a5-0b9f-48a8-9a56-e4eca6186c05","type":"PERSONAL","emailAddress":"rishal.srivastava@zinnia.com"}]}}]}}}},"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponseV3"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationResponseV3"}}}},"401":{"description":"Authentication failed"},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessDeniedResponseV3"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerErrorResponseV3"}}}}},"security":[{"Auth0":[]}]}}},"components":{"schemas":{"AccessDeniedResponse":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time"},"message":{"type":"string","example":"User is not authorized for the carrier : CarrierName_1"}}},"SuccessResponse":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32","example":201},"timestamp":{"type":"string","format":"date-time"},"message":{"type":"string","example":"Request Submitted Successfully"}}},"ValidationResponse":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32","example":400},"timestamp":{"type":"string","format":"date-time"},"errorId":{"type":"string","example":"a4a57ed0-2c1b-4922-9959-3b85dd8a96d3"},"message":{"type":"string","example":"JSON Valdiation fails with error"},"error":{"type":"array","items":{"type":"string","example":"Mandatory attribute label missing"}}}},"ResourceNotFoundResponse":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32","example":404},"timestamp":{"type":"string","format":"date-time"},"errorId":{"type":"string","example":"a4a57ed0-2c1b-4922-9959-3b85dd8a96d3"},"message":{"type":"string","example":"Resource not found"},"error":{"type":"array","items":{"type":"string","example":"Resource not found for provided input"}}}},"ServerErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32","example":500},"timestamp":{"type":"integer","format":"int64","example":1681395423438},"errorId":{"type":"string","example":"0286d47a-7ad9-499c-8ca0-8f6634d236a3"},"message":{"type":"string","example":"Failed to process request"}}},"Applications":{"type":"object","required":["effectiveDate","transmittingCompanyIdentifier","transmittingCompanyName","receivingCompanyName","firmId","agentSubmitDate","planCode","applicationDate","eAppId","version","contractState","qualificationFlag","appIndicator","telePrivileges","initialPurchase","funds","roles"],"properties":{"effectiveDate":{"type":"string","format":"date","description":"Date (with pattern \"yyyy-mm-dd\"). e-App submitted date to Zinnia.","example":"2023-12-19"},"transmittingCompanyIdentifier":{"type":"string","description":"An identifer that represents Transmitting Company"},"transmittingCompanyName":{"type":"string","description":"Transmitting Company Name"},"receivingCompanyName":{"type":"string","description":"Receiving Company Name","example":"ARCUS"},"firmId":{"type":"string","description":"External ID in MCS that belongs to the Firm"},"agentSubmitDate":{"type":"string","format":"date","description":"Date (with pattern \"yyyy-mm-dd\"). Agent submit date.","example":"2023-12-19"},"applicationSignedCounty":{"type":"string","description":"Application Signed County"},"planCode":{"type":"string","description":"Product code assigned by Zinnia Admin system","example":"111"},"statusCode":{"type":"string","description":"Application Status code derived at Zinnia","example":"App Entry"},"applicationDate":{"type":"string","format":"date","description":"Application Signed Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"policyDate":{"type":"string","format":"date","description":"Client Agreement Date/Issue Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"solicitationDate":{"type":"string","format":"date","description":"The date in which the Agent first proposes to the client the use of an insurance product, which may or may not be in response to an engagement/planning process.  (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"illustration/QuoteStartDate":{"type":"string","format":"date","description":"The start (run) date of the illustration or quote (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"ownerSignedDate":{"type":"string","format":"date","description":"This date represents when the natural owner electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"jointOwnerSignedDate":{"type":"string","format":"date","description":"This date represents when the joint owner electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"annuitantSignedDate":{"type":"string","format":"date","description":"This date represents when the Annuitant electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"jointAnnuitantSignedDate":{"type":"string","format":"date","description":"This date represents when the joint Annuitant electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"trusteeSignedDate":{"type":"string","format":"date","description":"This date represents when the trustee/representative electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"beneficiarySignedDate":{"type":"string","format":"date","description":"This date represents when the Beneficiary electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"spouseSignedDate":{"type":"string","format":"date","description":"This date represents when the Spouse electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"igoDate":{"type":"string","format":"date","description":"Stores the IGO date. It is mandatory when contract have trust Date (with pattern \"yyyy-mm-dd\"). Derived by Zinnia.","example":"2023-12-19"},"eAppId":{"type":"string","description":"Unique Identifier against an e-App application. First two letters represent the receiving company, next 3 letters represent the firm, next 8 positions represent the date eApp is submitted, next 10 positions represents the sequential number of the eApps from the eApp instance.","example":"XXEDJ041120240000000001"},"version":{"type":"string","description":"Version for that case - 3 digits, incremental if same case if submitted more than once in case of errors.","example":"000"},"contractState":{"type":"string","description":"Contract State. 2 Digit state code","example":"NJ"},"qualificationFlag":{"type":"string","enum":["1","2","3","4","5","6","7","8","9","11","13","14","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","56","57","58","59"],"description":"Qualification Codes"},"appIndicator":{"type":"string","enum":["E","P"],"description":"To determine whether the request is via eApp or Paper App"},"commissionOption":{"type":"string","description":"Commission Options will be provided by Zinnia for the respective Product","example":"A"},"imoFlag":{"type":"string","description":"imoFlag Derived at Zinnia","enum":["Yes","No"]},"binNbr":{"type":"string","description":"Brokerage Identification Number"},"rothYear":{"type":"string","description":"Roth year - Derived by Zinnia","example":"2024"},"telePrivileges":{"type":"string","description":"Tele privileges value","enum":["1","2","3","4","5","6"]},"policyValues":{"$ref":"#/components/schemas/PolicyValue"},"initialPurchase":{"$ref":"#/components/schemas/InitialPurchases"},"funds":{"type":"array","description":"funds that sums upto 100% or the total dollar values sums to the grossAmount","minItems":1,"items":{"$ref":"#/components/schemas/Funds"}},"features":{"type":"array","description":"feature for any feature/rider selected by user","minItems":1,"items":{"$ref":"#/components/schemas/Features"}},"roles":{"type":"array","description":"roles that sums every role option to 100%","minItems":1,"items":{"$ref":"#/components/schemas/Roles"}},"specialPrograms":{"type":"array","description":"specialPrograms if any recurring transaction needs to be set up","minItems":1,"items":{"$ref":"#/components/schemas/SpecialPrograms"}},"payouts":{"type":"array","description":"payouts if it needs to be set up for the policy","items":{"$ref":"#/components/schemas/Payout"}}}},"PolicyValue":{"type":"object","required":["fedMaritalStatus","fedMaritalAllowance","stateMaritalStatus","stateMaritalAllowance","mktSegment"],"properties":{"fedMaritalStatus":{"type":"string","enum":["-999","1","2"],"description":"Fed marital status"},"fedMaritalAllowance":{"type":"string","description":"Fed marital status allowance","example":"3"},"withholding":{"type":"array","items":{"$ref":"#/components/schemas/Withholdings"}},"fedRate":{"type":"string","description":"Federal rate - Derived by Zinnia","example":"1"},"stateMaritalStatus":{"type":"string","description":"State Marital Status","enum":["-999","1","2"]},"stateMaritalAllowance":{"type":"string","description":"State marital status allowance","example":"1"},"stateRate":{"type":"string","description":"State rate - Derived by Zinnia","example":"1"},"contribType":{"type":"string","enum":["0","1","2","3","4","5","6","7","8","9"],"description":"Contribution type"},"mktSegment":{"type":"string","enum":["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23"],"description":"Market Segment Code"},"specMktSegment":{"type":"string","description":"Spec Market segment","example":"1"},"bMarkRate":{"type":"string","example":"3.5"},"deliveryMethod":{"type":"string","enum":["Fax","Email","Mail"],"description":"Delivery method derived by Zinnia"}}},"InitialPurchases":{"type":"object","required":["grossAmount","netAmount","payments"],"properties":{"grossAmount":{"format":"double","type":"number","description":"Total Gross Amount","example":238500},"netAmount":{"format":"double","type":"number","description":"Total Net Amount","example":0},"payments":{"type":"array","items":{"$ref":"#/components/schemas/Payments"}}}},"Funds":{"type":"object","required":["accCode","amountType","amount"],"properties":{"accCode":{"type":"string","description":"Zinnia will provide specific account code for individual funds per Product"},"amountType":{"type":"string","description":"Type of the Amount","enum":["P","D"]},"amount":{"type":"string","format":"9(01) V9(09) for percentage and 9(14) V9(02) for Dollars"}}},"Features":{"type":"object","required":["specCode","variationGroupId"],"properties":{"specCode":{"type":"string","description":"Feature ID will be provided by Zinnia for the respective Products"},"variationGroupId":{"type":"string","description":"Feature Sub ID will be provided by Zinnia for the respective Products"}}},"Roles":{"type":"object","required":["roleType","roleOption","naturalNameIndicator","nameType","lastName","dob","sex","phones","addresses","eDelivery"],"properties":{"roleType":{"type":"string","enum":["38","36","0","-1","-2","-3","-4","-5","-6","-7","-8","-9","-10","-11","-12","-13","-14","-15","-16","-17","-18","-19","-20","-21","-22","-23","-24","-25","-26","-50","-51","-60","-70","-71","-72","-80","-81","-82","-83","-84","-85","-86","-87","-88","-89","-90","-91","-999"],"description":"Role type","example":"0"},"roleOption":{"type":"string","description":"Role Option associated with the respective Role Type","enum":["-6","-5","-1","0","1","2","3","4","5","6","7"]},"naturalNameIndicator":{"type":"string","enum":["Y","N"]},"nameType":{"type":"string","enum":["CO","IN","OT","TR","UG"]},"firstName":{"type":"string","description":"First name of the party role","example":"firstName when name type is Natural/Individual"},"middleName":{"type":"string","description":"Moddle name of the party role","example":"B"},"lastName":{"type":"string","description":"Last name of the party role","example":"Doe"},"prefix":{"type":"string","description":"Prefix","example":"Dr"},"suffix":{"type":"string","description":"Suffix","example":"Sr"},"dob":{"type":"string","format":"date","description":"Date of birth of party role. Applicable in case of Individual. (with pattern \"yyyy-mm-dd\"). Regex Expression ^\\d{4}-((0\\d)|(1[012]))-(([012]\\d)|3[01])$.","example":"2023-12-19"},"sex":{"type":"string","enum":["M","F","O"],"description":"Any one of the possible value for the gender."},"taxId":{"type":"string","pattern":"\\d{9}","description":"9 digit Social Security number","example":"123456789","minLength":9,"maxLength":9},"crdNumber":{"type":"string","example":"when party is an agent and one of the agent specific identifier in MCS is mandatory","description":"CRD number for the party role, used as Agent Identifier."},"nationalProducerNumber":{"type":"string","example":"when party is an agent and one of the agent specific identifier in MCS is mandatory","description":"NPN number for the agent, used as Agent Identifier."},"distributorAgentAssignedId":{"type":"string","example":"when party is an agent and one of the agent specific identifier in MCS is mandatory","description":"Distributor assigned Id for an agent, used as Agent Identifier."},"carrierAgentAssignedId":{"type":"string","example":"when party is an agent and one of the agent specific identifier in MCS is mandatory","description":"Internal identifier assigned to the agent by carrier, used as Agent Identifier."},"externalId":{"type":"string","example":"when party is an agent and one of the agent specific identifier in MCS is mandatory","description":"Unique number assigned by the MCS system, used as Agent Identifier."},"phones":{"type":"array","items":{"$ref":"#/components/schemas/Phones"}},"relationship":{"type":"string","enum":["-999","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","100","101","102","103","104","105","106"],"description":"Relationship code"},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/Addresses"}},"trustType":{"type":"string","example":"1","enum":["1","2"],"description":"Type of trust &  TrustType is required when the role is a trust"},"eDelivery":{"type":"string","description":"eDelivery is required/not for the role","enum":["Y","N"]},"emails":{"type":"array","description":"Email for associated party, email is required when eDelivery is 'Y'.","items":{"$ref":"#/components/schemas/Email"}},"bankInformation":{"$ref":"#/components/schemas/BankInfo"},"dod":{"type":"string","description":"Date of Death. (with pattern \"yyyy-mm-dd\"). Regex Expression ^\\d{4}-((0\\d)|(1[012]))-(([012]\\d)|3[01])$."}}},"SpecialPrograms":{"type":"object","required":["specialProgramType","startDate","mode","amountType","amount","duration","funds","firstPaymentDate"],"properties":{"specialProgramType":{"type":"string","description":"specialProgramType selected","enum":["0","1","2","3","4","5","6","8","9","10"],"example":"0"},"startDate":{"type":"string","format":"date","description":"Effective date of Special program"},"mode":{"type":"string","enum":["A","M","Q","S","W","2","4","T","9","10"],"description":"Frequency of special program"},"amountType":{"type":"string","enum":["-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56"],"description":"amountType of special program"},"amount":{"type":"string","description":"Stores the allocated percent to the specific fund"},"distribCode":{"type":"string","enum":["1","2","3","4","5","6","7","8","9","A","D","E","F","G","H","J","L","M","P","R","S","AA","AB","AC","2G","4G","4H","AD","AE","AF","AG","AH","AK","T","N","ZA","ZB","ZC","ZD","ZE","ZF","ZG","ZH","ZI","ZJ","ZK","ZL","ZM","ZN","ZO","ZP","ZQ","ZR","ZS","ZT","ZV","ZU","6A","AL","AM","W"],"description":"Distribution Code"},"duration":{"type":"string","description":"Specifies how many times special program will be run","example":"5"},"funds":{"type":"array","items":{"$ref":"#/components/schemas/Funds"}},"bankInformation":{"$ref":"#/components/schemas/BankInfo"},"moneySrcId":{"format":"int32","type":"string","enum":["0","1","2","3","4","5","6","7","8","9"]},"firstPaymentDate":{"type":"string","format":"date"},"firstPaymentYear":{"type":"string"},"calculation":{"type":"string","description":"Derived by Zinnia"},"grossDisbursement":{"type":"string"},"waiveCharges":{"type":"string"},"nextDate":{"type":"string","description":"Derived by Zinnia"},"priorRMDAmtType":{"type":"string"},"priorRMDAmt":{"format":"double","type":"number"}}},"ExchangeReplaces":{"type":"object","description":"For any payment that is a replacement/exchange","required":["companyName","taxId","type","address","amountRequested","signedDate","sourcePolicyNumber","previousPlanType","applyRateLock","rateLockStartDate","replacementIndicator","advanceCommission"],"properties":{"companyName":{"type":"string","description":"Name of the Company"},"taxId":{"type":"string","pattern":"\\d{9}","description":"Company Tax ID","example":"123456789"},"type":{"type":"string","description":"Type of the company","enum":["CO","IN","OT","TR","UG"]},"email":{"type":"string","description":"Company email address"},"address":{"$ref":"#/components/schemas/Addresses"},"amountRequested":{"format":"double","type":"number","description":"This field stores the requested amount."},"signedDate":{"type":"string","format":"date","description":"Agent submit date"},"sourcePolicyNumber":{"type":"string","description":"This field stores the source policy number"},"previousPlanType":{"type":"string","description":"This field stores the plan type which was used on previous policy - Refer qualificationflag for types"},"applyRateLock":{"type":"string","description":"This field stores determines whether to apply Rate Lock or not"},"rateLockStartDate":{"type":"string","format":"date","description":"Agent submit date"},"overrideDate":{"type":"string","format":"date","description":"If Rate Lock is not followed and needs override"},"advanceDate":{"type":"string","description":"This field gets enable when advance commission is true."},"replacementIndicator":{"type":"string","enum":["Y","N"]},"advanceCommission":{"type":"string","description":"This is a flag to selected when the advance commision to agent is applicable.","enum":["Y","N"]}}},"Withholdings":{"type":"object","required":["withholdingAmount","withholdingAmountQualifer","withholdingAuthority"],"properties":{"withholdingAmount":{"type":"string","description":"The amount to be withheld if withholding is selected","example":"0"},"withholdingAmountQualifer":{"type":"string","description":"Qualifies the withholding amount. Either as dollars or a percentage","enum":["D","P"]},"withholdingAmountType":{"type":"string","description":"This will be used to indicate the type of withholding information for this instance of the Withholding Amount.  This is in reference to the IRS W-4P and W-4R tax withholding forms","enum":["A","B","C","D","E","F","G","H"]},"withholdingAuthority":{"type":"string","description":"Defines the withholding authority for which is being withheld","enum":["State","Federal"]}}},"Payments":{"type":"object","required":["id","paymentMethod","moneySource","grossAmount","netAmount","currentAlloc","distributorId","costBasisUnknownInd"],"properties":{"id":{"type":"string","description":"Unique Id to tag to respective payment records"},"paymentMethod":{"type":"string","description":"Payment methods","enum":["C","W","E"]},"moneySource":{"type":"string","description":"Money Source","enum":["-999","1","2","3","4","5","6","7","8","9","10","11","17","18","19","20","21","22","23","24","25"]},"grossAmount":{"format":"double","type":"number","description":"Gross Amount for the individual payment","example":238500},"netAmount":{"format":"double","type":"number","description":"Net Amount  for the individual payment","example":0},"taxInfo":{"$ref":"#/components/schemas/TaxInformation"},"currentAlloc":{"type":"string","description":"Funds to be considered for Future Allocations or not","enum":["Y","N"]},"moneySrcId":{"format":"int32","type":"string","enum":["0","1","2","3","4","5","6","7","8","9"]},"waivePremium":{"format":"int32","type":"integer","description":"waivePremium","example":0},"distributorId":{"type":"string","description":"Unique number assigned to the application by broker"},"costBasisUnknownInd":{"type":"boolean","description":"This is a flag to checked and unchecked depending upon the Cost basis."},"exchangeReplace":{"$ref":"#/components/schemas/ExchangeReplaces"}}},"Phones":{"type":"object","required":["phoneType","countryCode","areaCode","number"],"properties":{"phoneType":{"type":"string","description":"This filed capture the type of phone like Home Phone, Work Phone","enum":["BF","BP","CP","H2","HF","HP","MD"]},"countryCode":{"type":"string","description":"Two digit country code"},"areaCode":{"type":"string","description":"This field stores the telephone Area Code of client address"},"number":{"type":"string","description":"This field stores the phone number."},"extension":{"type":"string","description":"This field stores the Extension number"}}},"Addresses":{"type":"object","required":["addressType","addressLine1","city","state","zip","country"],"properties":{"addressType":{"type":"string","required":["addressType"],"enum":["B","H","S"]},"addressLine1":{"type":"string","description":"Address Line 1"},"addressLine2":{"type":"string","description":"Address Line 2"},"addressLine3":{"type":"string","description":"Address Line 3"},"city":{"type":"string","description":"City Name"},"state":{"type":"string","enum":["AA","AE","AK","AL","AP","AR","AZ","CA","CD","CO","CT","DC","DE","FL","FN","GA","GU","HI","IA","ID","IL","IN","KS","KY","LA","MA","MD","ME","MI","MN","MO","MS","MT","NC","ND","NE","NH","NJ","NM","NV","NY","OH","OK","OR","PA","PR","RI","SC","SD","TN","TX","UT","VA","VI","VT","WA","WI","WV","WY"],"description":"2 digit state code"},"zip":{"type":"string","description":"ZIP code"},"zipSuffix":{"type":"string","description":"ZIP code suffix"},"country":{"type":"string","enum":["AD","AE","AF","AG","AI","AL","AM","AN","AO","AQ","AR","AS","AT","AU","AW","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BM","BN","BO","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CS","CU","CV","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","FX","GA","GB","GD","GE","GF","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IN","IO","IQ","IR","IS","IT","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NT","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PT","PW","PY","QA","RE","RO","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","ST","SU","SV","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TM","TN","TO","TP","TR","TT","TV","TW","TZ","UA","UG","UK","UM","USA","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","YE","YT","YU","ZA","ZM","ZR","ZW"],"description":"Country codes"}}},"BankInfo":{"type":"object","required":["bankName","abaNumber","accountNumber","bankingType"],"properties":{"bankName":{"type":"string","description":"Bank name"},"abaNumber":{"type":"string","description":"ABA number"},"accountNumber":{"type":"string","description":"Account Number"},"bankingType":{"type":"string"}}},"TaxInformation":{"type":"object","properties":{"currentContribAmount":{"format":"double","type":"number","description":"Current Contribution Amount","example":0},"priorContribAmount":{"format":"double","type":"number","description":"Prior Contribution Amount","example":0},"taxYear":{"type":"string","description":"tax year"},"totalBasis":{"format":"double","type":"number","description":"Total Cost basis amount","example":0},"pretefraBasis":{"format":"double","type":"number","description":"Pre Tefra basis amount","example":0},"posttefraBasis":{"format":"double","type":"number","description":"Post Teefra basis amount","example":0},"post88Amount":{"format":"double","type":"number","description":"Post 88 Amount","example":0}}},"Payout":{"type":"object","required":["payoutOption","livesType","annuityFrequencyCode","certainPeriod","payoutStartDate"],"properties":{"payoutOption":{"type":"string"},"livesType":{"type":"string"},"increasePct":{"type":"string"},"primarySurvivorAdjType":{"type":"string"},"primarySurvivorAdjPct":{"type":"string"},"jointSurvivorAdjType":{"type":"string"},"jointSurvivorAdjPct":{"type":"string"},"proofOfBirthVerified":{"type":"string"},"annuityFrequencyCode":{"type":"string"},"certainPeriodQualifier":{"type":"string"},"certainPeriod":{"type":"string"},"payoutStartDate":{"type":"string","format":"date"},"FixedPaymentAmount":{"type":"string","format":"integer"}}},"Application":{"type":"object","required":["effectiveDate","transmittingCompanyIdentifier","transmittingCompanyName","receivingCompanyName","agentSubmitDate","planCode","applicationDate","appId","version","contractState","qualificationFlag","appIndicator","suitabilityAppIndicator","ofacIndicator","signatureMethod","totalAttachmentCount","fileInceptionTime","initialPurchase","funds","roles"],"properties":{"effectiveDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"e-App submitted date to Zinnia (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"key":{"type":"number","description":"Zinnia Unique idenitifer for a case. [Derived by Zinnia]","example":1234567},"sourceCd":{"type":"string","description":"Zinnia Identifier for a client.[Derived by Zinnia]","example":"ZIN_ABC"},"correlationId":{"type":"string","description":"Zinnia Unique Identifier for a case.[Derived by Zinnia]. This is not required for Paper Apps , only eApps.","example":"0ca10708-4b53-464c-b745-355c8f6f0edb"},"zinniaCaseId":{"type":"string","description":"Zinnia Unique Identifier for a case.[Derived by Zinnia]. This is  required for Paper Apps, not eApps and will be sent via Orion Application.","example":"CA0123456789"},"transmittingCompanyIdentifier":{"type":"string","description":"An identifer that represents Transmitting Company which is of 4 char.","example":"1234"},"transmittingCompanyName":{"type":"string","description":"Transmitting Company Name","example":"ABC"},"receivingCompanyName":{"type":"string","description":"Receiving Company Name, Derived by Zinnia based on the set up in Zinnia Systems.","example":"ABC"},"submitterNSCCId":{"type":"string","description":"The NSCC assigned membership ID for the firm initiating the transactions.Only applicable for DTCC cases.","example":"0075"},"submitterNSCCName":{"type":"string","description":"Name of the Submitter (Settling Firm).Only applicable for DTCC cases.","example":"LPL"},"asid":{"type":"string","description":"Identifier assigned by a clearing firm/service provider to a firm that clears business through them.Only applicable for DTCC cases.","example":"0075"},"asidName":{"type":"string","description":"Name of associated firm.Only applicable for DTCC cases.","example":"LPL"},"firmExternalId":{"type":"string","description":"External ID in MCS [Zinnia Commission System] that belongs to the Firm. firmExternalId or firmTaxId or firmNPN is mandatory.","example":"Q01530"},"firmTaxId":{"type":"string","pattern":"\\d{9}","description":"9 digit Tax ID in MCS [Zinnia Commission System] that belongs to the Firm. firmExternalId or firmTaxId or firmNPN is mandatory.","minLength":9,"maxLength":9,"example":"123456789"},"firmNPN":{"type":"string","description":"NPN in MCS [Zinnia Commission System] that belongs to the Firm. firmExternalId or firmTaxId or firmNPN is mandatory.","example":"294128"},"agentSubmitDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Agent submit date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"applicationSignedCounty":{"type":"string","description":"Application Signed County, Only for Florida if required by Business Processing System for running rules.","example":"Dade"},"planCode":{"type":"string","description":"Product code assigned by Zinnia Admin system","example":"111"},"applicationDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Application Signed Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"policyDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Client Agreement Date/Issue Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"solicitationDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"The date in which the Agent first proposes to the client the use of an insurance product, which may or may not be in response to an engagement/planning process.  (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"quoteStartDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"The start (run) date of the illustration or quote (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"quoteId":{"type":"string","description":"The ID for the illustration or quote.","example":"12345"},"ownerSignedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"This date represents when the natural owner electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"jointOwnerSignedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"This date represents when the joint owner electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"annuitantSignedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"This date represents when the Annuitant electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"jointAnnuitantSignedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"This date represents when the joint Annuitant electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"trusteeSignedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"This date represents when the trustee/representative electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"beneficiarySignedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"This date represents when the Beneficiary electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"spouseSignedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"This date represents when the Spouse electronically signed the application and any supporting documentation. (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"igoDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Stores the IGO date. It is mandatory when contract have trust Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"appId":{"type":"string","description":"Unique Identifier against an e-App application. First 4 letters represent the receiving company, next 3 letters represent the firm, next 8 positions represent the date eApp is submitted, next 10 positions represents the sequential number of the eApps from the eApp instance.","minLength":25,"example":"XXXXEDJ041120240000000001"},"version":{"type":"string","description":"Version for that case - 3 digits, incremental if same case if submitted more than once in case of errors.","example":"000"},"contractNbr":{"type":"string","description":"Unique number of the policy.","example":"000"},"contractState":{"type":"string","enum":["AA","AB","AE","AK","AL","AP","AR","AS","AZ","BC","CA","CO","CT","DC","DE","FL","GA","GU","HI","IA","ID","IL","IN","KS","KY","LA","MA","MB","MD","ME","MI","MN","MO","MS","MT","NB","NC","ND","NE","NH","NJ","NL","NM","NS","NT","NU","NV","NY","OH","OK","ON","OR","PA","PE","PR","QC","RI","SC","SD","SK","TN","TX","UT","VA","VT","VI","WA","WI","WV","WY","YT"],"description":"Contract State. State code","example":"NJ"},"solicitationState":{"type":"string","enum":["AA","AE","AK","AL","AP","AR","AZ","CA","CO","CT","DC","DE","FL","GA","HI","IA","ID","IL","IN","KS","KY","LA","MA","MD","ME","MI","MN","MO","MS","MT","NC","ND","NE","NH","NJ","NM","NV","NY","OH","OK","OR","PA","RI","SC","SD","TN","TX","UT","VA","VT","WA","WI","WV","WY"],"description":"Solicitation State. State code","example":"NJ"},"qualificationFlag":{"type":"string","enum":["IRAREG","IRASPSL","IRAROLL","NONQUAL","ROTHIRA","IRASIMPLE","403B","401K","401A","457B","PENPLN","HR10KEOGH","INHERITIRA","NONQUALSTRPLN","INHERITROTHIRA","401G","ROTH401K","ROTH403B","EDUIRA","PROFSHRPLN","MONEYPURCHPENSPLN","TARGTBENFTPLN","CUSTIRA","CUSTROTHIRA","CUSTROLLIRA","QUALIFIED","401SCHEDA","412E","ROTHIRACONV","CORPDEFERCOMP","CORPPENS","CUSTINHERITIRA","CUSTINHERITROTHIRA","CUSTSARSEPIRA","CUSTSIMPLEIRA","CUSTSPOUSALIRA","CUSTIRASEP","CUSTQLACIRA","DEFAULT","GROUPTSA","IRASEP","NON457DEFCOMP","IRAQLAC","UGMAUTMA","VULNQ","_412I","NOUSTAX","TXORP","_501C9","SARSEP","IRATRANSFER","CASHBALPLANDEFBENE","CASHBALPLANDEFCONTRIB","SOLODEFBENE","_7702B","SOLO401K","ROTH457"],"description":"Qualification Codes","example":"IRAREG"},"custodial":{"type":"string","enum":["YES","NO"],"description":"Describes whether the case is custodial or not","example":"YES"},"appIndicator":{"type":"string","enum":["ELECT","PAPER"],"description":"To determine whether the request is via eApp or Paper App","example":"ELECT"},"suitabilityAppIndicator":{"type":"string","enum":["NA","ELECT","PAPER"],"description":"To determine whether the Suitability request is via eApp or Paper App. Select NA if Suitability is not being done via Zinnia.","example":"ELECT"},"ofacIndicator":{"type":"string","enum":["NO","YES"],"description":"To determine whether the OFAC request is being sent electronically to Zinnia. Select NO if OFAC is not being done via Zinnia electronically.","example":"YES"},"commissionOption":{"type":"string","description":"Commission Options will be provided by Zinnia for the respective Product","example":"A"},"binNbr":{"type":"string","description":"Brokerage Identification Number","example":"ABC0DF"},"telePrivileges":{"type":"string","description":"Tele privileges value","enum":["NONE","ALL","EXCONLY","QTONLY","OWNONLY","AGTONLY","DIARYNT"],"example":"NONE"},"signatureMethod":{"type":"string","required":["signatureMethod"],"description":"signatureMethod","enum":["NONE","VOICE","SIGNPAD","WETSIG","BIO","CLICKTHRU"],"example":"NONE"},"documentControlNumber":{"type":"string","description":"documentControlNumber is an NSCC data point, Will be derived by Zinnia.","example":"1000ABC00000000000"},"totalAttachmentCount":{"type":"integer","required":["totalAttachmentCount"],"description":"totalAttachmentCount expected in Attachment payload","example":1},"fileInceptionTime":{"type":"string","format":"date-time","description":"Time when the case is received within ETP","example":"2025-06-26T00:00:00Z"},"policyValues":{"$ref":"#/components/schemas/PolicyValues"},"initialPurchase":{"$ref":"#/components/schemas/InitialPurchase"},"funds":{"type":"array","description":"funds that sums upto 100%","minItems":1,"items":{"$ref":"#/components/schemas/Fund"}},"features":{"type":"array","description":"feature for any feature/rider selected by user","minItems":0,"items":{"$ref":"#/components/schemas/Feature"}},"roles":{"type":"array","description":"roles that sums every role option to 100%","minItems":1,"items":{"$ref":"#/components/schemas/Role"}},"specialPrograms":{"type":"array","description":"specialPrograms if any recurring transaction needs to be set up","minItems":0,"items":{"$ref":"#/components/schemas/SpecialProgram"}},"payouts":{"type":"array","description":"payouts if it needs to be set up for the policy","items":{"$ref":"#/components/schemas/Payouts"}},"errors":{"type":"array","description":"Derived by Zinnia","items":{"type":"string","example":"Error 1"}}}},"PolicyValues":{"type":"object","required":["fedMaritalStatus","stateMaritalStatus","mktSegment"],"properties":{"fedMaritalStatus":{"type":"string","enum":["DEF","SNGL","MRRD","HOH","QUALWIDOWWITHDEPCHILD","DOMESTICPARTNER","DIVORCED"],"description":"Fed marital status","example":"MRRD"},"stateMaritalStatus":{"type":"string","enum":["DEF","SNGL","MRRD","HOH","QUALWIDOWWITHDEPCHILD","DOMESTICPARTNER","DIVORCED"],"description":"State marital status","example":"MRRD"},"withholding":{"type":"array","items":{"$ref":"#/components/schemas/Withholding"}},"contribType":{"type":"string","enum":["NA","EMPVOL","EMPDISC"],"description":"Contribution type","example":"EMPVOL"}}},"InitialPurchase":{"type":"object","required":["grossAmount","netAmount","payments"],"properties":{"grossAmount":{"format":"double","type":"number","description":"Total Gross Amount","example":238500.5},"netAmount":{"format":"double","type":"number","description":"Total Net Amount","example":100.5},"payments":{"type":"array","items":{"$ref":"#/components/schemas/Payment"}}}},"Fund":{"type":"object","required":["fundCode","amountType","amount"],"properties":{"fundCode":{"type":"string","description":"Zinnia will provide specific Fund code for individual funds per Product. Duplicate Fund codes will be rejected.","example":"XXX000"},"amountType":{"type":"string","description":"Type of the Amount","enum":["AMT","PCT","UNITS","PRORATA","EARNINGSONLY","MODEARNINGSONLY","MAX","FREEWDAMT","GUARENTEEDWITHDRAWBENEFIT","LIFEEXPECTANCY","WDUNITBASIS","NONE","AUTO","MAINTAINFACE","ADJUSTFACE","NEWAMT","FACECHANGE","NONFINANCIAL","MAXFREE","COMBO","PCTAV","PRORATAVAR","RESERVEADJ","PARTIALREBALANCE","DOLLARLIQUIDFIRST","DOLLARLIQUIDLAST","CHOICEDOLLAR","CHOICEMAXFREE","EARNLIQUIDFIRST","EARNLIQUIDLAST","PCTLIQUIDFIRST","PCTLIQUIDLAST","BONUSDOLLAR","BONUSPCT","PRORATAFIXTHENVAR","PRORATAALL","SINGLEGWMB","JOINTGWMB","PECKINGORDER","DIVREQUEST","NOCONTVALREDUCT","GMWBANNUALLIMIT","PRIMARY","JOINT","GMWBRECALCANNUALLIMIT","BAILOUTONLY","WINDOWPERIODONLY","GMWBANNUALPECKING","GMWBRECALCPECKING","RIAFEEPCT","RIAFEEDOLLAR","GWMBANNUALLIMITLEVEL","GMWBALLEVELPECKING","SPOUSALDEFAULT","FIXEDMODIFIEDEARN","PRORATANEWMONEY","ACCUMALATEDEARN","CONTRACTYEAREARN","CALENDARYEAREARN","ACCELERATEDJOINTGMWB","ACCELERATEDSINGLEGMWB"],"example":"PCT"},"amount":{"type":"number","format":"double","description":"Total percentage of all funds should be 100%.","example":50.55}}},"Feature":{"type":"object","required":["riderCode"],"properties":{"riderCode":{"type":"string","description":"Rider Code will be provided by Zinnia for the respective Products","example":"ABC0000000"}}},"Role":{"type":"object","required":["roleType","rolePercentage","nameType","lastName","dob","sex","phones","addresses","eDelivery","citizenshipCountry"],"properties":{"roleType":{"type":"string","enum":["OWN","JNTOWN","PRIMBENE","CONTBENE","MRDDESGBENE","EXCCOMPANY","ANN","JNTANN","PAYOR","PAYEE","ASSIGNEE","PRIMWRITAGT","ADDWRITAGT","NONCOMAGT","PRIMSERAGT"],"description":"Role type. Owner, Annuitant, Servicing Agent and Writing Agent are mandatory.","example":"OWN"},"rolePercentage":{"type":"string","required":["rolePercentage"],"description":"string($9(01) V9(09) for percentage. Total percentage of a role should be 100%.","example":"100"},"nameType":{"type":"string","enum":["IND","ORG","TRUST","OTHER","UGMA","COMPANY"],"description":"The name type associated with the role.","example":"IND"},"firstName":{"type":"string","description":"First name of the party role","example":"firstName when name type is Natural/Individual"},"middleName":{"type":"string","description":"Middle name of the party role","example":"B"},"lastName":{"type":"string","description":"Last name of the party role","example":"Doe"},"prefix":{"type":"string","description":"Prefix","example":"Dr"},"suffix":{"type":"string","description":"Suffix","example":"Sr"},"dob":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Date of birth of party role. Mandatory for Owner and Annuitant (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"sex":{"type":"string","enum":["MALE","FEMALE","UNISEX","OTHER"],"description":"Any one of the possible value for the gender.Mandatory for Owner and Annuitant.","example":"MALE"},"citizenshipCountry":{"type":"string","enum":["AD","AE","AF","AG","AI","AL","AM","AN","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","USA","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","XK","YE","YT","ZA","ZM","ZW"],"description":"Country codes, Mandatory for Owner and Annuitant."},"taxId":{"type":"string","pattern":"\\d{9}","description":"9 digit Social Security number. Mandatory for Owner , Annuitant and Agent.","minLength":9,"maxLength":9,"example":"123456789"},"agentCRD":{"type":"string","description":"CRD number for the party role, used as Agent Identifier.","example":"123456"},"agentNPN":{"type":"string","description":"NPN number for the agent, used as Agent Identifier.","example":"123456"},"agentDistributorAgentAssignedId":{"type":"string","description":"Distributor assigned Id for an agent, used as Agent Identifier.","example":"ABC0000000"},"agentCarrierAgentAssignedId":{"type":"string","description":"Internal identifier assigned to the agent by carrier, used as Agent Identifier.","example":"ABC0000000"},"agentExternalId":{"type":"string","description":"Unique number assigned by the MCS system, used as Agent Identifier.","example":"ABC0000000"},"phones":{"type":"array","description":"One phone is mandatory for Owner and Annuitant","items":{"$ref":"#/components/schemas/Phone"}},"relationship":{"type":"string","enum":["TRUSTEE","TRUSTEEOFMINOR","BROTHER","CHILD","DAUGHTER","FATHER","FIANCEE","GRANDCHILD","LIFEPARTNER","MOTHER","SISTER","SON","SPOUSE","STEPFATHER","STEPMOTHER","SELF","OTHER","GRANDFATHER","GRANDMOTHER","DOMPARTNER","AUNT","NEPHEW","NIECE","HUSBAND","WIFE","UNCLE","EMPLOYER","GRANDPARENT","LEGALGUARDIAN","TRUSTEEOFINCOMP","PWROFATTRNY","CNTRLNGPRSNOFENT","EXECUTORS","ASSOCIATE","PARTNER","ESTATE","TRUST","GRANDSON","GRANDDAUGHTER","PARENT","NONSPOUSE","CHILDRENEQUALLY","CHILDRENPERSTIRPES","PERSTIRPES","SURVIVNGSPOUSE"],"description":"Relationship code","example":"SELF"},"addresses":{"type":"array","description":"One address is mandatory for Owner and Annuitant","items":{"$ref":"#/components/schemas/Address"}},"trustType":{"type":"string","enum":["INDIVIDUAL","CORPORATE"],"description":"Type of trust &  TrustType is required when the role is a trust","example":"INDIVIDUAL"},"eDelivery":{"type":"string","description":"eDelivery is required/not for the role","enum":["YES","NO"],"example":"YES"},"emails":{"type":"array","description":"Email for associated party, email is required when eDelivery is 'Y'.","items":{"$ref":"#/components/schemas/Email"}},"bankInformation":{"$ref":"#/components/schemas/BankInformation"},"dod":{"type":"string","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Date of Death (with pattern \"yyyy-mm-dd\")","example":"2023-12-19"}}},"SpecialProgram":{"type":"object","required":["specialProgramType","startDate","mode","amountType","amount","duration","funds","firstPaymentDate"],"properties":{"specialProgramType":{"type":"string","description":"specialProgramType selected","enum":["PAYOUT","RMD","SYSWITHDRAWAL","PREMIUMDEFAULT","DOLLARCOSTAVERAGE","SYSPARTIALWITHDRAWGROSS","AUTOREBALANCE","MINREQUIREDDIST","EFTDRAW","ANNUITYPAYMENTDEFAULTS","CHARGEDEDUCTION","EFTLOANREPAY","REGINVESTADVISORFEE","RIDERCHARGE","COVEREDPERSONAGEBAND","60DAYHHCDRECERTLETTER","45DAYHHCDRECERTLETTER","60DAYGMWBROLLUPRNWLNOTICE","45DAYGMWBROLLUPRNWLNOTICE","60DAYGMDBROLLUPRNWLNOTICE","45DAYGMDBROLLUPRNWLNOTICE","72TQDIST","GMIBTERM","IBGROWTHLOCKDATE","LOANREPAY"],"example":"PAYOUT"},"startDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Effective date of Special program (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"mode":{"type":"string","enum":["DLY","BIWKLY","MNTHLY","SEMIANN","QTRLY","ANNUAL","SNGLPMT","BIMNTHLY"],"description":"Frequency of special program","example":"DLY"},"amountType":{"type":"string","enum":["AMT","PCT","MAX","FREEWDAMT","WDUNITBASIS","PRORATA"],"description":"amountType of special program","example":"AMT"},"amount":{"type":"number","format":"double","description":"Stores the allocated percent to the specific fund","example":50.5},"distribCode":{"type":"string","enum":["DEF","PRMTRDIST","ERLYDISTEXCEPAPP","DISB","DTHCLM","DTHEXC","PROHIBTRANS","SEC1035EXC","NRMLDISB","EXCSCNTRIBCURRYRTX","PS58COSTS","10YRTAXOPT","EXCSCONTRIB2YRPRIORTX","EXCSANNADDNLASSEC415","CHARGIFTANN","DIRROLLIRA","DIRROLLQUALPLNTSA","DISTFROMROTHIRA","LOANSASDIST","QUALLOANNDIST","PRMTRLOANDIST","DISTFROMEDIRA","EXCSCONTRIB1YRPRIOR","EXCSCONTRIBPLUSEARN","RECHARIRAPREVYR","ERLYDISTRIBSIMPLE","SEPSERV","TRSTTOTRST","IRATOROTH","QDROROLLIRA","DTHROLLIRA","DTHTRANS","QDROLIKETOLIKE","QDROPMTTOSPSE","FRSTHMBYRIRAONLY","EDCTNEXP","MEDEXP","NONTAXEVNT","GROSSPDATRNY","OTHERINC","NONEMPCOMP","PRMTREX","ROYALTIES","DIRTRANS","ROTHIRANORMDISTRIB","RECHARIRACURRYR","FEEADMIN","FEEASSET","FEECONTRIB","FEELUMPSUMDEATH","FEELUMPSUMDISB","FEELUMPSUMPURCHANN","FEELUMPSUMOTH","FEELNEWRETPERPMNT","FEEEXISTINGRETINFORCE","FEECONT","FEEEXISTINGRETINC","FEETHIRDPARTY","LUMPSUMDEATH","LUMPSUMDISB","LUMPSUMPURCHANN","LUMPSUMOTH","FEEIPGEXP","FROMFUND","RELRESRV","HEALTHDED","FEEMRKTVAL","FEEANNADMIN","SECT1035EXCPART","QDRONORMDISB","QDROSEC1035","DESGROTHACCTDIST","REPDTHBEN6050Y","DISTTRADINDVNOTFMV","DIVDISTEMPSTK404K","COSTCURRLIFEINSURPROTECT","DISTUNDEREMPLOYEEPLANSCOMPLRESSYS","EXCSCONTRIBPLUSEARN2024","FEELONGTERMCAREINSUR","QUALPLANLOANOFFSET","QUALROTHINDVARRDIST","ROTHIRADISTEXCEPAPPLIES"],"description":"Distribution Code","example":"DEF"},"duration":{"type":"string","description":"Specifies how many times special program will be run","example":"5"},"funds":{"type":"array","items":{"$ref":"#/components/schemas/Fund"}},"bankInformation":{"$ref":"#/components/schemas/BankInformation"},"firstPaymentDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"firstPaymentYear":{"type":"string","description":"First payment year.","example":"2025"},"grossDisbursement":{"type":"string","description":"Gross disbursment.","example":"10000"},"waiveCharges":{"type":"string","description":"Waive charges.","example":"1000"},"nextDate":{"type":"string","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"priorRMDAmtType":{"format":"string","description":"Prior RMD amount type.","example":"-999"},"priorRMDAmt":{"format":"double","type":"number","description":"Prior RMD amount.","example":100}}},"ExchangeReplace":{"type":"object","description":"For any payment that is a replacement/exchange","required":["productType","companyName","type","address","amountRequested","signedDate","sourcePolicyNumber","previousPlanType","applyRateLock","rateLockStartDate","replacementIndicator","advanceCommission"],"properties":{"productType":{"type":"string","description":"Exchange policy product type","enum":["ANNUITY","LIFE","BROKERAGE","CASH"],"example":"ANNUITY"},"companyName":{"type":"string","description":"Name of the Company","example":"ABC"},"taxId":{"type":"string","pattern":"\\d{9}","description":"Company Tax ID","minLength":9,"maxLength":9,"example":"123456789"},"type":{"type":"string","description":"Type of the Exchange/Replacement","enum":["INT1035","EXT1035","EXTDIRTRAN","INTDIRTRAN","EXTROLLQUAL","INTROLLQUAL","EXTROTHROLL","INTROTHTROLL","EXTROTHDIRTRAN","INTROTHDIRTRAN","CLIENTINITTRAN","BENPRCDS","EXT1035PART","INT1035PART","BIRTHRPMT","NOLOA","EXTDIRECTTRANSFREP","INTDIRECTTRANSFREP","REINSTATEMENT","DEFAULT"],"example":"INT1035"},"email":{"type":"string","description":"Company email address","example":"abc@zinnia.com"},"address":{"$ref":"#/components/schemas/Address"},"amountRequested":{"format":"double","type":"number","description":"This field stores the requested amount.","example":5000.55},"signedDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Signed date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"sourcePolicyNumber":{"type":"string","description":"This field stores the source policy number","example":"123456"},"originalCostBasis":{"type":"string","description":"This field stores the Original Cost Basis","example":"1000"},"previousPlanType":{"type":"string","description":"This field stores the plan type which was used on previous policy - Refer qualificationflag for types","example":"NONQUAL"},"applyRateLock":{"type":"string","description":"This field stores determines whether to apply Rate Lock or not","enum":["YES","NO"],"example":"YES"},"replacementIndicator":{"type":"string","enum":["YES","NO"],"example":"YES"},"mecIndicator":{"type":"string","description":"Source of ER policy is MEC/not","enum":["YES","NO"],"example":"YES"}}},"Withholding":{"type":"object","required":["withholdingAmount","withholdingAmountQualifer","withholdingAuthority"],"properties":{"withholdingAmount":{"type":"number","format":"double","description":"The amount to be withheld if withholding is selected","example":100.5},"withholdingAmountQualifer":{"type":"string","description":"Qualifies the withholding amount. Either as dollars or a percentage","enum":["DOLLAR","PERCENT"],"example":"DOLLAR"},"withholdingAmountType":{"type":"string","description":"This will be used to indicate the type of withholding information for this instance of the Withholding Amount.  This is in reference to the IRS W-4P and W-4R tax withholding forms","enum":["JOBORPEN","EXTRA","OTHRDED","OTHRINC","CLMSNCRED","DEFAULT","NOWITH","USEVALUES"],"example":"JOBORPEN"},"withholdingAuthority":{"type":"string","description":"Defines the withholding authority for which is being withheld","enum":["ST","FED","LOCAL","NRA","BACKUP"],"example":"FED"}}},"Payment":{"type":"object","required":["id","paymentMethod","moneySource","grossAmount","netAmount","currentAlloc"],"properties":{"id":{"type":"string","description":"Unique Id to tag to respective payment records. Duplicate Ids will be rejected.","example":"payment_1"},"paymentMethod":{"type":"string","description":"Payment methods","enum":["CHK","WIRE","EXCREP","CREDITCARD","ACH","DTCC"],"example":"CHK"},"grossAmount":{"format":"double","type":"number","description":"Gross Amount for the individual payment","example":238500.5},"netAmount":{"format":"double","type":"number","description":"Net Amount  for the individual payment","example":0},"taxInfo":{"$ref":"#/components/schemas/TaxInfo"},"currentAlloc":{"type":"string","description":"Funds to be considered for Future Allocations or not","enum":["YES","NO"],"example":"YES"},"waivePremium":{"format":"int32","type":"integer","description":"waivePremium","example":0},"distributorId":{"type":"string","description":"This is same as Tracking ID.If there are multiple payments, first payment distributorId will be the TrackingID. This unique system generated number is assigned by the B/D system and sent with each premium to the NSCC,  to send to the Insurance Company.  This number is assigned by the broker dealer, by which the premium can be located. Required for clearing house and detail level transactions. Broker/dealer would expect this back for chargebacks, reversals, etc. Can be returned on the \"FAR\" and the \"COM\" by the insurance carrier to identify the transaction processed."},"exchangeReplace":{"$ref":"#/components/schemas/ExchangeReplace"}}},"Phone":{"type":"object","required":["phoneType","country","areaCode","number"],"properties":{"phoneType":{"type":"string","description":"This field capture the type of phone like Home Phone, Work Phone. One Phone mandatory for Owner and Annuitant","enum":["MOBILE","HOME","BUS","FAX","OTHER","UNK","BUSINESSFAX","SECONDHOMEPHONE","HOMEFAX","MODEM"],"example":"BUS"},"country":{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BR","IO","BN","BG","BF","BI","CV","KH","CM","CA","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","SZ","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MK","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","AFG","ALA","ALB","DZA","ASM","AND","AGO","AIA","ATG","ARG","ARM","ABW","AUS","AUT","AZE","BHS","BHR","BGD","BRB","BLR","BEL","BLZ","BEN","BMU","BTN","BOL","BES","BIH","BWA","BRA","IOT","BRN","BGR","BFA","BDI","CPV","KHM","CMR","CAN","CYM","CAF","TCD","CHL","CHN","CXR","CCK","COL","COM","COG","COD","COK","CRI","CIV","HRV","CUB","CUW","CYP","CZE","DNK","DJI","DMA","DOM","ECU","EGY","SLV","GNQ","ERI","EST","SWZ","ETH","FLK","FRO","FJI","FIN","FRA","GUF","PYF","ATF","GAB","GMB","GEO","DEU","GHA","GIB","GRC","GRL","GRD","GLP","GUM","GTM","GGY","GIN","GNB","GUY","HTI","HMD","VAT","HND","HKG","HUN","ISL","IND","IDN","IRN","IRQ","IRL","IMN","ISR","ITA","JAM","JPN","JEY","JOR","KAZ","KEN","KIR","PRK","KOR","KWT","KGZ","LAO","LVA","LBN","LSO","LBR","LBY","LIE","LTU","LUX","MAC","MDG","MWI","MYS","MDV","MLI","MLT","MHL","MTQ","MRT","MUS","MYT","MEX","FSM","MDA","MCO","MNG","MNE","MSR","MAR","MOZ","MMR","NAM","NRU","NPL","NLD","NCL","NZL","NIC","NER","NGA","NIU","NFK","MKD","MNP","NOR","OMN","PAK","PLW","PSE","PAN","PNG","PRY","PER","PHL","PCN","POL","PRT","PRI","QAT","REU","ROU","RUS","RWA","BLM","SHN","KNA","LCA","MAF","SPM","VCT","WSM","SMR","STP","SAU","SEN","SRB","SYC","SLE","SGP","SXM","SVK","SVN","SLB","SOM","ZAF","SGS","SSD","ESP","LKA","SDN","SUR","SJM","SWE","CHE","SYR","TWN","TJK","TZA","THA","TLS","TGO","TKL","TON","TTO","TUN","TUR","TKM","TCA","TUV","UGA","UKR","ARE","GBR","USA","UMI","URY","UZB","VUT","VEN","VNM","VGB","VIR","WLF","ESH","YEM","ZMB","ZWE"],"description":"Country codes"},"zip":{"type":"string","description":"ZIP code","example":"10100"},"zipSuffix":{"type":"string","description":"ZIP code suffix","example":"1010"},"areaCode":{"type":"string","description":"This field stores the telephone Area Code of client address","example":"404"},"number":{"type":"string","description":"This field stores the phone number.","example":"1234567890 or 1234567"},"extension":{"type":"string","description":"This field stores the Extension number","example":"4560"}}},"Address":{"type":"object","required":["addressType","addressLine1","city","state","zip","country"],"properties":{"addressType":{"type":"string","required":["addressType"],"description":"Address Type of the Company","enum":["RES","BUS","SECONDARY","POBOX","SEASONAL","MAILING"],"example":"BUS"},"addressLine1":{"type":"string","description":"Address Line 1","example":"100 ABC Street"},"addressLine2":{"type":"string","description":"Address Line 2","example":"Suite 200"},"addressLine3":{"type":"string","description":"Address Line 3","example":"Topeka, KS 66601"},"city":{"type":"string","description":"City Name","example":"Topeka"},"state":{"type":"string","enum":["AA","AE","AK","AL","AP","AR","AZ","CA","CO","CT","DC","DE","FL","GA","HI","IA","ID","IL","IN","KS","KY","LA","MA","MD","ME","MI","MN","MO","MS","MT","NC","ND","NE","NH","NJ","NM","NV","NY","OH","OK","OR","PA","RI","SC","SD","TN","TX","UT","VA","VT","WA","WI","WV","WY"],"description":"State code","example":"KS"},"zip":{"type":"string","format":"5 digits","description":"ZIP code","example":"66601"},"zipSuffix":{"type":"string","format":"4 digits","description":"ZIP code suffix","example":"0148"},"country":{"type":"string","enum":["AD","AE","AF","AG","AI","AL","AM","AN","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","XK","YE","YT","ZA","ZM","ZW"],"description":"Country codes","example":"US"}}},"BankInformation":{"type":"object","required":["bankName","abaNumber","accountNumber","bankingType"],"properties":{"bankName":{"type":"string","description":"Bank name","example":"ABC Bank"},"abaNumber":{"type":"string","pattern":"\\d{9}","description":"ABA number","minLength":9,"maxLength":9,"example":"123456789"},"ibaNumber":{"type":"string","description":"International Bank Account Number","example":"US12KBDE89571012345678"},"accountNumber":{"type":"string","description":"Account Number","example":"1000000000"},"bankingType":{"type":"string","enum":["CHECKING","SAVINGS","CREDITCARD","DEBITCARD","BRKACCT","COD"],"example":"CHECKING"}}},"TaxInfo":{"type":"object","properties":{"currentContribAmount":{"format":"double","type":"number","description":"Current Contribution Amount","example":0},"priorContribAmount":{"format":"double","type":"number","description":"Prior Contribution Amount","example":0},"taxYear":{"type":"string","description":"tax year","example":"2025"},"totalBasis":{"format":"double","type":"number","description":"Total Cost basis amount","example":0},"pretefraBasis":{"format":"double","type":"number","description":"Pre Tefra basis amount","example":0},"posttefraBasis":{"format":"double","type":"number","description":"Post Teefra basis amount","example":0},"post88Amount":{"format":"double","type":"number","description":"Post 88 Amount","example":0}}},"Payouts":{"type":"object","required":["payoutOption"],"properties":{"payoutOption":{"type":"string","enum":["LIFEONLY","JLONLY","PC","AC","LWPC","LWCR"],"example":"LIFEONLY"},"livesType":{"type":"string","description":"Lives Type","example":"Single"},"primarySurvivorAdjType":{"type":"string","description":"Primary Survivor Adjustment Type"},"primarySurvivorAdjPct":{"type":"string","description":"Primary Survivor Adjustment Percent","example":"100"},"jointSurvivorAdjType":{"type":"string","description":"Joint Survivor Adjustment Type"},"jointSurvivorAdjPct":{"type":"string","description":"Joint Survivor Adjustment Percent","example":"100"},"annuityFrequencyCode":{"type":"string","enum":["DLY","BIWKLY","MNTHLY","SEMIANN","QTRLY","ANNUAL","SNGLPMT","BIMNTHLY"],"example":"DLY"},"certainPeriodQualifier":{"type":"string","description":"Certain Period Qualifier","example":"A"},"certainPeriod":{"type":"string","description":"Certain Period","example":"1"},"payoutStartDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"Date (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"FixedPaymentAmount":{"type":"string","format":"integer","example":"1000"}}},"DocumentInformation":{"type":"object","required":["appId","version","effectiveDate","totalDocumentCount","documentDetails"],"properties":{"appId":{"type":"string","description":"Unique Identifier against an e-App application. First 4 letters represent the receiving company, next 3 letters represent the firm, next 8 positions represent the date eApp is submitted, next 10 positions represents the sequential number of the eApps from the eApp instance. For Orion - Accept integers upto 15 digits","example":"XXXXEDJ041120240000000001"},"version":{"type":"string","description":"Version for that case - 3 digits, incremental if same case if submitted more than once in case of errors. For Orion - Accept integers upto 15 digits","example":"000"},"effectiveDate":{"type":"string","format":"date","pattern":"([0-9]{4})-([0-9]{2})-([0-9]{2})","description":"e-App submitted date to Zinnia (with pattern \"yyyy-mm-dd\").","example":"2023-12-19"},"totalDocumentCount":{"type":"number","example":1},"documentDetails":{"type":"array","items":{"$ref":"#/components/schemas/DocumentDetail"}}}},"DocumentDetail":{"type":"object","required":["documentId","binaryData","formId","formName","documentCategory","documentFileType"],"properties":{"documentId":{"type":"string","description":"Unique Identifier for the individual document. Duplicate document Ids will be rejected.","example":"0ca10708-4b53-464c-b745-355c8f6f0edb"},"binaryData":{"type":"string","description":"Base 64 encoded binary stream","example":"SGVsbG8gV29ybGQ="},"formId":{"type":"string","description":"Unique ID for a Form","example":"FR2279"},"formName":{"type":"string","description":"Unique Name for a form","example":"Fixed Annuity Order Entry Cover Sheet"},"documentCategory":{"type":"string","description":"Category of the document as per OnBase system","example":"NB Supporting Document"},"documentFileType":{"type":"string","enum":["pdf"],"description":"Type of file","example":"pdf"}}},"Email":{"type":"object","properties":{"emailId":{"type":"string","format":"email","description":"Email address of associated party","example":"abc@zinnia.com"},"emailType":{"type":"string","enum":["BUSINESS","PERSONAL"],"description":"This field captures the type of email address like business or personal email."}}},"CasePayload":{"type":"object","additionalProperties":false,"required":["application","policy","parties"],"properties":{"caseId":{"type":"string","description":"Zinnia Unique Identifier for a case.[Derived by Zinnia]. This is required for Paper Apps, not eApps and will be sent via Orion Application."},"correlationId":{"type":"string","format":"uuid","example":"0ca10708-4b53-464c-b745-355c8f6f0edb","description":"Zinnia Unique Identifier for a case.[Derived by Zinnia]. This is not required for Paper Apps , only eApps."},"application":{"$ref":"#/components/schemas/ApplicationV3"},"illustrations":{"$ref":"#/components/schemas/Illustrations"},"policy":{"$ref":"#/components/schemas/Policy"},"parties":{"type":"array","items":{"$ref":"#/components/schemas/Party"}}}},"ApplicationV3":{"type":"object","required":["appId","submissionType","carrierName","versionNumber","qualificationType","suitabilityAppIndicator","dateQualifiers"],"properties":{"key":{"type":"string","description":"Zinnia Unique idenitifer for a case. [Derived by Zinnia]"},"appId":{"type":"string","description":"Unique Identifier against an e-App application. First 4 letters represent the receiving company, next 3 letters represent the firm, next 8 positions represent the date eApp is submitted, next 10 positions represents the sequential number of the eApps from the eApp instance."},"vendorAppId":{"type":"string","description":"Application identifier assigned by an external vendor or partner system."},"versionNumber":{"type":"string","description":"Version for that case - 3 digits, incremental if same case if submitted more than once in case of errors."},"qlacIndicator":{"type":"string","description":"Flag indicating whether the contract is a Qualified Longevity Annuity Contract (QLAC).","enum":["YES","NO"],"example":"YES"},"ofacIndicator":{"type":"string","description":"Indicator identifying whether the address is subject to OFAC review or screening.","enum":["YES","NO"]},"fileInceptionTime":{"type":"string","format":"date-time","description":"Time when the case is received within ETP","example":"2025-06-26T00:00:00Z"},"dateQualifiers":{"type":"object","required":["initialSubmitDate","agentSubmitDate"],"properties":{"effectiveDate":{"type":"string","format":"date","description":"e-App submitted date to Zinnia (with pattern \"yyyy-mm-dd\")."},"applicationDate":{"type":"string","format":"date","description":"Application date (with pattern \"yyyy-mm-dd\"). This field is required for paper app rate lock calculations."},"initialSubmitDate":{"type":"string","format":"date","description":"Initial e-App submitted date (yyyy-mm-dd)"},"applicationReceivedDate":{"type":"string","format":"date","description":"Application received date (with pattern \"yyyy-mm-dd\"). Mandatory field for Paper Apps."},"clientAgreementDate":{"type":"string","format":"date","description":"Client agreement date (with pattern \"yyyy-mm-dd\")."},"agentSubmitDate":{"type":"string","format":"date","description":"Agent submission date (yyyy-mm-dd)"},"ownerSignedDate":{"type":"string","format":"date","description":"Owner signed date (yyyy-mm-dd)"},"jointOwnerSignedDate":{"type":"string","format":"date","description":"Joint owner signed date (yyyy-mm-dd)"},"annuitantSignedDate":{"type":"string","format":"date","description":"Annuitant signed date (yyyy-mm-dd)"},"jointAnnuitantSignedDate":{"type":"string","format":"date","description":"Joint annuitant signed date (yyyy-mm-dd)"},"trusteeSignedDate":{"type":"string","format":"date","description":"Trustee signed date (yyyy-mm-dd)"},"primaryAgentSignedDate":{"type":"string","format":"date","description":"Primary agent signed date (yyyy-mm-dd)"},"beneficiarySignedDate":{"type":"string","format":"date","description":"Beneficiary signed date (yyyy-mm-dd)"},"spouseSignedDate":{"type":"string","format":"date","description":"Spouse signed date (yyyy-mm-dd)"}}},"submissionType":{"type":"string","example":"ELECTRONIC","description":"To determine whether the request is via eApp or Paper App","enum":["ELECTRONIC","PAPER"]},"customerOtherProductsAnswer":{"type":"string","example":"YES","description":"Indicates whether the applicant has existing life insurance or annuity policies. Valid values are Yes, No, or Unknown."},"applicationSignedCounty":{"type":"string","description":"County where the application was signed by the customer."},"submitterNsccId":{"type":"string","description":"The NSCC assigned membership ID for the firm initiating the transactions.Only applicable for DTCC cases."},"submitterNsccName":{"type":"string","description":"Name of the Submitter (Settling Firm).Only applicable for DTCC cases."},"associatedFirmId":{"type":"string","description":"Identifier assigned by a clearing firm/service provider to a firm that clears business through them.Only applicable for DTCC cases."},"associatedFirmName":{"type":"string","description":"Name of associated firm.Only applicable for DTCC cases."},"vendorId":{"type":"string","description":"An identifer that represents Transmitting Company which is of 4 char."},"vendorName":{"type":"string","description":"Transmitting Company Name","example":"FIRELIGHT"},"carrierName":{"type":"string","description":"Name of the U.S. insurance company that is issuing the policy. [Derived by Zinnia]"},"carrierId":{"type":"number","description":"Carrier Id is DTCC part id for a given insurance carrier such as 4527, 0015."},"firmTaxId":{"type":"string","description":"9 digit Tax ID in MCS [Zinnia Commission System] that belongs to the Firm. firmExternalId or firmTaxId or firmNPN is mandatory."},"firmNPN":{"type":"string","description":"NPN in MCS [Zinnia Commission System] that belongs to the Firm. firmExternalId or firmTaxId or firmNPN is mandatory."},"firmExternalId":{"type":"string","description":"External ID in MCS [Zinnia Commission System] that belongs to the Firm. firmExternalId or firmTaxId or firmNPN is mandatory."},"replacementIndicator":{"type":"boolean","description":"Indicates whether the application is submitted as an exchange or replacement of an existing policy."},"qualificationType":{"type":"string","description":"Indicator showing whether the application meets qualification requirements.","enum":["Q401K","SOLO401K","HEALTHREIMBURSEMENT501C9","Q457B","HR10KEOGH","INHERITEDINDIVIDUALRETIREMENTACCOUNT","NONQUALIFIEDSTRETCH","INHERITEDROTHINDIVIDUALRETIREMENTACCOUNT","INDIVIDUALRETIREMENTACCOUNTREGULAR","INDIVIDUALRETIREMENTACCOUNTROLLOVER","NONQUALIFIED","PENSIONPLAN","SALARYREDUCTIONSIMPLIFIEDEMPLOYEEPENSION","SIMPLIFIEDEMPLOYEEPENSIONINDIVIDUALRETIREMENTACCOUNT","INDIVIDUALRETIREMENTACCOUNTSPOUSAL","INDIVIDUALRETIREMENTACCOUNTTRANSFER","CASHBALANCEPLANDEFINEDCONTRIBUTIONS","CASHBALANCEPLANDEFINEDBENEFIT","SOLODEFINEDBENEFIT","Q403B","Q401GFORMERLY403G","Q412IPLAN","INDIVIDUALRETIREMENTACCOUNTSIMPLE","ROTHINDIVIDUALRETIREMENTACCOUNT","ROTH401K","ROTH403B","EDUCATIONALINDIVIDUALRETIREMENTACCOUNT","PROFITSHARINGPLAN","MONEYPURCHASEPLAN","WELFAREBENEFITPLAN419PLAN","LONGTERMCARE7702B","NOUNITEDSTATESTAXATIONUSEDFOROFFSHOREPRODUCTS","Q401A","TEXASOPTIONALRETIREMENTPROGRAM","TARGETBENEFITPLAN","Q403BTRANSFERSONLY","ROTH457","CUSTODIALINDIVIDUALRETIREMENTACCOUNT","CUSTODIALROTHINDIVIDUALRETIREMENTACCOUNT","CUSTODIALROLLOVERINDIVIDUALRETIREMENTACCOUNT","CONVERTEDROTHINDIVIDUALRETIREMENTACCOUNT","CUSTODIALINHERITEDINDIVIDUALRETIREMENTACCOUNT","CUSTODIALINHERITEDROTHINDIVIDUALRETIREMENTACCOUNT","CUSTODIALSPOUSEINDIVIDUALRETIREMENTACCOUNT","CUSTODIALINDIVIDUALRETIREMENTACCOUNTSIMPLIFIEDEMPLOYEEPENSION","QUALIFIED","UNIFORMGIFTSORTRANSFERSTOMINORACT","CONVERTEDINDIVIDUALRETIREMENTACCOUNT","CORPORATEPENSION","GROUPTAXSHELTEREDANNUITY","CORPORATEDEFERREDCOMPENSATION404","QN457B","CONVERTED","SPOUSAL","CUSTODIAL"]},"custodial":{"type":"string","description":"Flag indicating whether an application is associated with custodian or not.","example":"YES","enum":["YES","NO"]},"commissionOption":{"type":"string","description":"Commission option value provided by Zinnia for the applicable product. This value is used to determine agent commissions."},"brokerageIdentificationNumber":{"type":"string","description":"Client account identifier used by the distributor."},"suitabilityAppIndicator":{"type":"string","example":"YES","description":"Indicator that a suitability review is required or has been performed.","enum":["YES","NO"]},"attachment":{"type":"array","items":{"$ref":"#/components/schemas/Attachment"}}}},"Attachment":{"type":"object","additionalProperties":false,"properties":{"signatureMethod":{"type":"string","description":"Method used to capture the customer’s signature (e.g., electronic, wet)","enum":["NONE","VOICE","SIGNATUREPAD","WETSIGNATURESCANNED","BIOMETRIC","CLICKTHROUGH"]},"documentControlNumber":{"type":"string","description":"documentControlNumber is an NSCC data point, Will be derived by Zinnia."},"totalAttachmentCount":{"type":"string","description":"Total Attachment Count expected in Attachment payload"}}},"Illustrations":{"type":"object","additionalProperties":false,"properties":{"quoteId":{"type":"string","description":"Unique identifier assigned to a quote for tracking and reference purposes."},"solicitationState":{"type":"string","description":"State in which the product solicitation occurred."},"solicitationDate":{"type":"string","format":"date","description":"Date on which the product was solicited or offered to the customer"},"quoteStartDate":{"type":"string","format":"date","description":"Date on which the quoted rates or terms become effective"},"quoteEndDate":{"type":"string","format":"date","description":"Date on which the quoted rates or terms ends"}}},"Policy":{"type":"object","additionalProperties":false,"required":["planCode","initialPurchase","fundDetails","issueState"],"properties":{"policyNumber":{"type":"string","description":"Unique policy number that will be assigned to the policy issued from this application."},"planCode":{"type":"string","description":"Provided by Zinnia"},"productCusip":{"type":"string","description":"CUSIP number used to uniquely identify the insurance product."},"productType":{"type":"string","description":"Type of insurance product","enum":["INDEXEDUNIVERSALLIFE","UNIVERSALLIFE","TERM","ANNUITY"]},"policyStatus":{"type":"string","description":"Status of the policy","enum":["APPLIEDFOR","APPROVED","SUBMITTEDTOUNDERWRITING","PENDING","DECLINED","QUOTED","RISKNOTACCEPTABLE","NOTTAKEN","PENDINGISSUED","ISSUED","CLOSED","CANCELLED","EXPIRED","CONVERSION"]},"policyEffectiveDate":{"type":"string","format":"date","description":"Date from which the policy is effective  (with pattern “yyyy-mm-dd”)"},"issueState":{"type":"string","description":"Abbreviated names for states"},"issueCountry":{"type":"string","description":"Policy Issue Country (Only US)"},"initialPurchase":{"type":"object","required":["grossAmount","netAmount"],"properties":{"grossAmount":{"type":"number","format":"double"},"netAmount":{"type":"number","format":"double"},"payment":{"type":"array","items":{"$ref":"#/components/schemas/PaymentV3"}}}},"feature":{"type":"array","items":{"$ref":"#/components/schemas/FeatureV3"}},"fundDetails":{"type":"array","items":{"$ref":"#/components/schemas/FundDetail"}}}},"PaymentV3":{"type":"object","additionalProperties":false,"required":["paymentId","netAmount","grossAmount","method","currentAlloc"],"properties":{"paymentId":{"type":"string","description":"Unique id for the payment made","format":"Integer"},"referenceNumber":{"type":"string","description":"Reference Numbe for the payment made"},"netAmount":{"type":"string","description":"Premium received (Net Amount)","format":"double","example":"238500.50"},"grossAmount":{"type":"string","description":"Premium received (Gross Amount)","format":"double","example":"238500.50"},"method":{"type":"string","description":"Method through which the payment is made","enum":["CREDITCARD","DEBITCARD","CHECK","ACH","DIGITALPAYMENT","WIRE","DTCC","EXCHANGE","PAYROLLDEDUCTION"]},"internalExchIndicator":{"type":"string","description":"DTCC defined Indicator that states whether an exchange type application is internal of external.","enum":["YES","NO"]},"withdrawalIndicator":{"type":"string","description":"Premium received withdrawal indicator","enum":["FULL","PARTIAL"]},"partialWithdrawType":{"type":"string","description":"If Withdrawal indicator is input then Partial Withdrawal Type become mandatory","enum":["SPECIFIEDAMOUNTWITHDRAWAL","PERCENTOFCONTRACTWITHDRAWAL","PERCENTOFCONTRACTPREMIUMWITHDRAWAL","PERCENTOFFUNDWITHDRAWAL","RIDERFREEAMOUNTWITHDRAWAL","SURRENDERFREEAMOUNTWITHDRAWALPENALTYFREEWITHDRAWAL","INTERESTONLYWITHDRAWAL","REQUIREDMINIMUMDISTRIBUTIONWITHDRAWAL","SUBSTANTIALLYEQUALPAYMENTS","INTERESTONLYSURRENDERFREEAMOUNTWITHDRAWAL","REQUIREMENTMINIMUMDISTRIBUTIONCALCULATED","REQUIREMENTMINIMUMDISTRIBUTIONSPECIFIEDAMOUNT"]},"surrenderingDateInstruction":{"type":"string","description":"If Withdrawal indicator is input then Partial Withdrawal Type become mandatory","enum":["UPONRECEIPT","SPECIFICDATE"]},"frequency":{"type":"string","description":"Frequency of premium payments","enum":["DAILY","EVERYTWOWEEKS","MONTHLY","SEMIANNUAL","QUARTERLY","ANNUAL","SINGLEPAYMENT"]},"paymentDate":{"type":"string","format":"date","description":"Date when the payment is made (with pattern “yyyy-mm-dd”)"},"draftDate":{"type":"string","format":"date","description":"Date when the payment draft is created (with pattern “yyyy-mm-dd”)"},"externalTransactionI
[...]
